# TODO:
# - subpackage DNSmasq webmin module (contrib/webmin)

Summary:	A lightweight caching server (DNS, DHCP)
Summary(pl.UTF-8):	Lekki buforujący serwer nazw (DNS) i DHCP
Name:		dnsmasq
Version:	2.68
Release:	1
License:	GPL v2
Group:		Networking/Daemons
#Source0:	http://thekelleys.org.uk/dnsmasq/test-releases/%{name}-%{version}%{_rc}.tar.gz
Source0:	http://thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.gz
# Source0-md5:	6f8351ca0901f248efdb81532778d2ef
Source1:	%{name}.init
Source2:	%{name}.config
URL:		http://www.thekelleys.org.uk/dnsmasq/doc.html
BuildRequires:	gettext-devel
BuildRequires:	libidn-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	caching-nameserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dnsmasq is a lightweight, easy to configure DNS forwarder and DHCP
server. It is designed to provide DNS and, optionally, DHCP, to a
small network. It can serve the names of local machines which are not
in the global DNS. The DHCP server integrates with the DNS server and
allows machines with DHCP-allocated addresses to appear in the DNS
with names configured either in each host or in a central
configuration file. Dnsmasq supports static and dynamic DHCP leases
and BOOTP for network booting of diskless machines.

Dnsmasq is targeted at home networks using NAT and connected to the
Internet via a modem, cable-modem or ADSL connection but would be a
good choice for any small network where low resource use and ease of
configuration are important.

%description -l pl.UTF-8
dnsmasq jest lekkim, łatwym w konfiguracji forwarderem DNS i serwerem
DHCP zaprojektowanym do serwowania usługi DNS i opcjonalnie DHCP dla
małych sieci. Może on serwować także nazwy dla lokalnych maszyn nie
znajdujących się w globalnym DNS-ie. Serwer DHCP integruje się z
serwerem DNS, umożliwiając maszynom o adresach przydzielonych przez
DHCP pojawienie się w DNS-ie z nazwami konfigurowanymi dla każdego
hosta lub w centralnym pliku konfiguracyjnym. dnsmasq obsługuje
statyczne i dynamiczne dzierżawy DHCP oraz BOOTP do uruchamiania z
sieci maszyn bezdyskowych.

dnsmasq jest przeznaczony głównie dla sieci domowych używających NAT-u
i podłączonych do Internetu przez modem, modem kablowy lub łącze ADSL,
ale jest dobrym wyborem dla dowolnej małej sieci, gdzie ważne jest
małe wykorzystanie zasobów i łatwa konfiguracja.

%prep
%setup -q -n %{name}-%{version}

%build
%{__make} all-i18n \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DHAVE_ISC_READER -D_GNU_SOURCE" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/sysconfig,/etc/rc.d/init.d,%{_mandir}/man8}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dnsmasq
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/dnsmasq
install dnsmasq.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/dnsmasq.conf

install contrib/port-forward/dnsmasq-portforward $RPM_BUILD_ROOT%{_sbindir}
install contrib/port-forward/portforward $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install-i18n \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dnsmasq
%service dnsmasq restart

%preun
if [ "$1" = "0" ]; then
	%service dnsmasq stop
	/sbin/chkconfig --del dnsmasq
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG FAQ *.html contrib/{dnslist,dynamic-dnsmasq}
%attr(754,root,root) /etc/rc.d/init.d/dnsmasq
%attr(755,root,root) %{_sbindir}/dnsmasq*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dnsmasq
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/portforward
%{_mandir}/man8/*
%lang(es) %{_mandir}/es/man8/*
%lang(fr) %{_mandir}/fr/man8/*
%changelog
* Wed Dec 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dnsmasq.git;a=log;h=master

* Wed Dec 11 2013 Jan Palus <jan.palus@gmail.com> be82886
- up to 2.68

* Tue Oct 29 2013 Jan Palus <jan.palus@gmail.com> e889672
- up to 2.67

* Sun Oct 20 2013 Jan Palus <jan.palus@gmail.com> 0d7a77f
- up to 2.66

* Mon Oct 29 2012 Artur Frysiak <artur@frysiak.net> a1450f9
- Up to 2.63

* Mon May 07 2012 blekot <blekot@pld-linux.org> 521604d
- up to 2.61

* Wed Jan 11 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 2ac498d
- up to 2.59; thx Piotr Pawlow

* Tue Aug 30 2011 marti <marti@pld-linux.org> 17e3bd7
- up to 2.58

* Sat Feb 19 2011 areq <areq@pld-linux.org> 610a46b
- 2.57

* Tue Jun 08 2010 radek <radek@pld-linux.org> bacb38f
- version 2.55

* Tue Apr 27 2010 Paweł Gołaszewski <blues@pld-linux.org> b77214b
- 2.53test19 - fixes problem with IP with name on interface

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> f438ee6
- BR: libidn-devel, pkgconfig

* Sun Feb 07 2010 Adam Gołębiowski <adamg@pld-linux.org> 22e6ee8
- updated to 2.52

* Mon Nov 09 2009 Paweł Gołaszewski <blues@pld-linux.org> 9b0ebfd
- TODO in spec

* Wed Oct 14 2009 Adam Gołębiowski <adamg@pld-linux.org> 8737d30
- updated to 2.51

* Tue Sep 01 2009 Paweł Gołaszewski <blues@pld-linux.org> c076f12
- 2.50 (fixes: CVE-2009-2957, CVE-2009-2958)

* Thu Jun 11 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 198de55
- updated to 2.49

* Fri Jun 05 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 306d140
- updated to 2.48

* Wed Feb 25 2009 Paweł Gołaszewski <blues@pld-linux.org> a0576ae
- use existing default for leases.

* Sat Feb 07 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 6ac2f7c
- updated to 2.47

* Sat Nov 15 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> ac7617c
- updated to 2.46

